Test Shipping
This endpoint simulates tracking an order's shipment and is for testing purposes only.
Authorization
X-API-Key Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/shipments/mock_bolt_shipping" \ -H "Content-Type: application/json" \ -d '{ "delivery_estimate": "string", "status": "in_transit", "tracking_detail": [ { "city": "New York", "country": "USA", "datetime": "2017-07-21T17:32:28Z", "message": "BILLING INFORMATION RECEIVED", "state": "New York", "status": "in_transit", "zip": "10044" } ], "tracking_number": "MockBolt1234" }'OAuth Token Endpoint POST
Endpoint for receiving access, ID, and refresh tokens from Bolt's OAuth server. To use this endpoint, first use the Authorization Code Request flow by using the `authorization_code` Grant Type (`grant_type`). Then, in the event that you would need a second or subsequent code, use the `refresh_token` value returned from a successful request as the `refresh_token` input value in your subsequent `refresh_token` Grant Type (`grant_type`) request. **Reminder - the Content-Type of this request must be application/x-www-form-urlencoded**
Create Testing Shopper Account POST
Create a Bolt shopper account for testing purposes. Available for sandbox use only and the created account will be recycled after a certain time.